% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/deque.R
\docType{data}
\name{Deque}
\alias{Deque}
\title{Double Ended Queue}
\format{An object of class \code{R6ClassGenerator} of length 24.}
\usage{
Deque
}
\description{
The \code{Deque} class creates a double ended queue with pairlist backend.
}
\section{Usage}{

\preformatted{
Deque$new(items = NULL)
Deque$push(item)
Deque$pushleft(item)
Deque$pop()
Deque$popleft()
Deque$peek()
Deque$peekleft()
Deque$extend(q)
Deque$extendleft(q)
Deque$remove(item)
Deque$clear()
Deque$size()
Deque$as_list()
}
}

\section{Arguments}{

\itemize{
\item \code{items}: initialization list
\item \code{item}: any R object
\item \code{q}: a Deque object
}
}

\examples{
q <- Deque$new()
q$push("foo")
q$push("bar")
q$pushleft("baz")
q$pop()  # bar
q$popleft()  # baz

q <- Deque$new(list("foo", "bar"))
q$push("baz")$pushleft("bla")
}
\seealso{
\link{DequeL}
}
\keyword{datasets}
